Subject: [PATCH] ARM: dts: am4372: Add McASP nodes

From: [email-masked] (Peter Ujfalusi)
Date: Tue, 22 Oct 2013 10:46:03 +0300

Hi,

On 10/21/2013 10:01 PM, Sergei Shtylyov wrote:

>> diff --git a/arch/arm/boot/dts/am4372.dtsi b/arch/arm/boot/dts/am4372.dtsi
>> index c328d5c..defaad1 100644
>> --- a/arch/arm/boot/dts/am4372.dtsi
>> +++ b/arch/arm/boot/dts/am4372.dtsi
>> @@ -633,5 +633,32 @@
>>               dma-names = "tx", "rx";
>>           };
>>
>> +        mcasp0: mcasp at 48038000 {
> 
>    According to ePAPR spec [1], "the name of a node should be somewhat
> generic, reflecting the function of the device and not its
> precise programming model". In this case probably "sound"?

We use the 'sound' node name for the sound card itself. The case with McASP is
a bit complicated. It can operate in I2S mode (and similar protocols like RJM,
LJM, TDM) or it can interface with S/PDIF, IEC60958-1, AES-3 codecs.
The mode we put McASP depends on the external components, so the same McASP
can be used in I2S mode in one board while on the other it can be S/PDIF.
It would have been convenient if I could use 'i2s' as node name but it is not
true for McASP (Tegra, Exynos for example have I2S, AC97, S/PDIF as separate IP).

IMHO the 'mcasp' is still the best node name for this IP. McASP stands for:
'Multichannel Audio Serial Port' and this is pretty much what McASP is.

-- 
P?ter